apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - https://github.com/kubernetes-sigs/cluster-api//test/infrastructure/docker/config/default/?ref=v1.2.4
patches:
  - target:
      group: apiextensions.k8s.io
      version: v1
      kind: CustomResourceDefinition
    patch: |-
      - op: remove
        path: /spec/conversion/webhook/clientConfig/caBundle
  - target:
      group: apps
      version: v1
      kind: Deployment
      name: capd-controller-manager
      namespace: capd-system
    patch: |-
      - op: replace
        path: /spec/template/spec/containers/0/args/2
        value: --feature-gates=MachinePool=false,ClusterTopology=false
      - op: add
        path: /spec/template/spec/containers/0/env/-
        value:
          name: DOCKER_HOST
          value: ${DOCKER_HOST:-unix:///var/run/docker.sock}
images:
# Use custom image build with support of rke2 bootstrap provider
- name: gcr.io/k8s-staging-cluster-api/capd-manager:main
  newName: registry.gitlab.com/sylva-projects/sylva-elements/container-images/capd-for-rke2/capd-manager
  newTag: v1.2.2
# Add labels to enable clusterctl move to retrieve resources correponding to capd CRDs
labels:
  - pairs:
      clusterctl.cluster.x-k8s.io: ""
